> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar verificações do Monitor



## OpenAPI

````yaml pt-BR/api-reference/v2-openapi.json GET /monitor/{monitorId}/checks
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: >-
    API para interagir com os serviços do Firecrawl e executar tarefas de web
    scraping e crawling.
  title: Firecrawl API
  version: v2
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /monitor/{monitorId}/checks:
    get:
      tags:
        - Monitoring
      summary: Listar verificações de monitor
      operationId: listMonitorChecks
      parameters:
        - $ref: '#/components/parameters/MonitorId'
        - in: query
          name: limit
          schema:
            default: 25
            maximum: 100
            minimum: 1
            type: integer
        - in: query
          name: offset
          schema:
            default: 0
            minimum: 0
            type: integer
        - description: Filtre as verificações por status.
          in: query
          name: status
          schema:
            enum:
              - queued
              - running
              - completed
              - failed
              - partial
              - skipped_overlap
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MonitorCheckListResponse'
          description: Verificações de monitor
      security:
        - bearerAuth: []
components:
  parameters:
    MonitorId:
      description: O ID do monitor
      in: path
      name: monitorId
      required: true
      schema:
        format: uuid
        type: string
  schemas:
    MonitorCheckListResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/MonitorCheck'
          type: array
        success:
          type: boolean
      type: object
    MonitorCheck:
      properties:
        actualCredits:
          description: >-
            Créditos finais cobrados por esta verificação após a conclusão de
            scrapings, rastreamentos e quaisquer chamadas de avaliação de
            páginas alteradas.
          nullable: true
          type: integer
        billingStatus:
          type: string
        createdAt:
          format: date-time
          type: string
        error:
          nullable: true
          type: string
        estimatedCredits:
          description: >-
            Limite máximo de créditos reservados para esta verificação antes de
            o Firecrawl saber quantas páginas mudaram e exigem avaliação.
          nullable: true
          type: integer
        finishedAt:
          format: date-time
          nullable: true
          type: string
        id:
          format: uuid
          type: string
        monitorId:
          format: uuid
          type: string
        notificationStatus:
          nullable: true
          type: object
        reservedCredits:
          nullable: true
          type: integer
        scheduledFor:
          format: date-time
          nullable: true
          type: string
        startedAt:
          format: date-time
          nullable: true
          type: string
        status:
          enum:
            - queued
            - running
            - completed
            - failed
            - partial
            - skipped_overlap
          type: string
        summary:
          $ref: '#/components/schemas/MonitorSummary'
        targetResults:
          nullable: true
          type: array
        trigger:
          enum:
            - scheduled
            - manual
          type: string
        updatedAt:
          format: date-time
          type: string
      type: object
    MonitorSummary:
      properties:
        changed:
          type: integer
        error:
          type: integer
        new:
          type: integer
        removed:
          type: integer
        same:
          type: integer
        totalPages:
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````